From 570dc5c7a2e59b856b3edec2a3ce327336dd2fe6 Mon Sep 17 00:00:00 2001
From: Hari Babu <kommi.haribabu@gmail.com>
Date: Mon, 2 Jul 2018 14:36:42 +1000
Subject: [PATCH] pg_stat_statements_reset() function execution permission doc
 update

This function can also execute by the members of the role pg_read_all_stats
along with superuser, but docs don't mention it.
---
 doc/src/sgml/pgstatstatements.sgml | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/pgstatstatements.sgml b/doc/src/sgml/pgstatstatements.sgml
index c0217ed485..ad6d2b9e7d 100644
--- a/doc/src/sgml/pgstatstatements.sgml
+++ b/doc/src/sgml/pgstatstatements.sgml
@@ -346,7 +346,9 @@
      <para>
       <function>pg_stat_statements_reset</function> discards all statistics
       gathered so far by <filename>pg_stat_statements</filename>.
-      By default, this function can only be executed by superusers.
+      By default, this function can only be executed by superusers and members
+      of the <literal>pg_read_all_stats</literal> role. Access may be granted
+      to others using <command>GRANT</command>.
      </para>
     </listitem>
    </varlistentry>
-- 
2.16.1.windows.4

